package space.kklochko.jpa_hospital_example.cli.parsers;

import lombok.NonNull;
import lombok.ToString;
import space.kklochko.jpa_hospital_example.cli.commands.CommandData;

@ToString
public class CommandParser {
    public CommandData parse(@NonNull String command) {
        ArgumentParser parser = new ArgumentParser();
        String[] command_args = command.split("[()]");
        String[] command_parts = command_args[0].split(" ");

        String args="";
        if(command_args.length > 1)
            args = command_args[1];

        return new CommandData(command_parts[0], command_parts[1], parser.parse(args));
    }
}
