package space.kklochko.jpa_hospital_example.db.factories;

import jakarta.persistence.EntityManager;
import jakarta.persistence.EntityManagerFactory;
import jakarta.persistence.Persistence;
import lombok.Data;

@Data
public class EntityManagerConnection  {
    private String unitName;

    public EntityManagerConnection(String unitName) {
        setUnitName(unitName);
    }

    public EntityManagerConnection() {
        setUnitName("jpa_hospital_example");
    }

    public EntityManager connect() {
        EntityManagerFactory factory = Persistence.createEntityManagerFactory(getUnitName());
        return factory.createEntityManager();
    }
}
